/*
Solar Conquest
Copyright (C) 2006 Greg Beaman

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

class CTextItem : public CMenuItem
{
public:

	CTextItem(int iid, int px, int py);
	virtual ~CTextItem();

	void DrawItem(bool selected);
	void DrawItemText(bool selected);
};

CTextItem::CTextItem(int iid, int px, int py)
{
	id = iid;

	x = px;
	y = py;
	itemType = MENU_ITEM_TEXT;
	strcpy(caption,"");

	width = 0;
	height = 0;

	nextItem = NULL;
};

CTextItem::~CTextItem()
{
}

void CTextItem::DrawItem(bool selected)
{
}

void CTextItem::DrawItemText(bool selected)
{
	g_MainFont->RenderText(x,y,1,1,caption);
}